function obj = enable_bias(obj)
% ENABLE_STOCHASTIC - Add a bias term to the model (when supported)
%
% Bias terms are supported by glm1.m, which adds an extra bias on each column
% of the data matrix.
%
% Arguments:
%
% obj: An instance of @glmparams
%
% Return Values:
%
% obj: Modified input, will add_bias_term enabled

obj.add_bias_term = true;
if obj.stochastic_opt
  warning('Bias term and stochastic gradients do not play nicely together');
end
