function X = decode_mmmf(model, params)

U = model.U;
V = model.V;

m = rows(U);
n = rows(V);
X = sparse(m, n);

k = params.dims;
b = cols(model.U) - k;
f = params.f;
for i = 1:m
  x = X(i,:);
  for r = 1:b;
    latents = [1:k k+r];
    prob = f(U(i,latents) * V(:,latents)');
    idx = (prob > 0.5) & x >= r-1;
    x(idx) = r;
  end
  X(i,:) = x;
end
