function info = find_popular_movies(m,k)
% FIND_POPULAR_MOVIES - List the top k most popular movies, by
% number of ratings.
%
% Arguments:
%
% m: Instance of class @movie.
% k: Number of top movies to report
%
% Return Values:
%
% info: A list of the names of the top-k movies, by the number of ratings.

[v, ix] = sort(sum(m.ratings|m.ratings, 1), 2); % number of ratings
v = v(end:-1:1); ix = ix(end:-1:1);
info = m.movie_names(ix(1:k));
