function info = find_popular_talent(m,k)
% FIND_POPULAR_TALENT - Return the top most k popular actors, by
% the number of roles.
%
% Arguments:
%
% m: An instance of class @movie.
% k: Number of most popular actors to return
%
% Return Values:
%
% info: A list of the names of the top k most prolific actors.

[v, ix] = sort(sum(m.actors|m.directors, 2), 1);
v = v(end:-1:1); ix = ix(end:-1:1);
info = m.talent_names(ix(1:k));
