function stats(obj)
% STATS - Print certain summary information about a @movie obj.

fprintf(1, 'Users = %d, Genres = %d, Movies = %d, Talent = %d\n', ...
        obj.Nu, obj.Ng, obj.Nm, obj.Nt);

u = full(sum(logical(obj.ratings), 2));
fprintf(1, 'Ratings per user: (min/mean/med/max): %g / %g / %g / %g\n', ...
        min(u), mean(u), median(u), max(u));
m = full(sum(logical(obj.ratings), 1));
fprintf(1, 'Ratings per movie (min/mean/med/max): %g / %g / %g / %g\n', ...
        min(m), mean(m), median(m), max(m));

g = full(sum(logical(obj.genres), 1));
fprintf(1, ['Number of genres per movie: (min/mean/med/max): '...
            '%g / %g / %g / %g\n'], min(g), mean(g), median(g), max(g));

a = full(sum(logical(obj.actors), 2));
fprintf(1, ['Number of actors per movie: (min/mean/med/max): '...
            '%g / %g / %g / %g\n'], min(a), mean(a), median(a), max(a));
