function obj = nips(varargin)
% NIPS - Constructor for a @nips object.
%
% A NIPS corpus consists of three types of entities: authors,
% documents and words. The links are between authors and documents,
% and between documents and words.
%
% Usage:
%
% 1. As a default constructor (see init_fields, below)
%
% obj = nips;
%
% 2. As a copy constructor
%
% obj = nips;
% copy_obj = nips(obj)

% Author: ajit@cs.cmu.edu (Ajit Singh)

classname = 'nips';
if nargin == 0
  obj = init_fields;
  obj = class(obj, classname);
  return;
end
firstArg = varargin{1};
if isa(firstArg, classname)
  obj = firstArg;
  return;
end

obj = init_fields;
obj = class(obj, classname);

function obj = init_fields( )
% INIT_FIELDS - Default initializer for a @nips object.

obj.Na = 0;
obj.Nw = 0;
obj.Np = 0;
obj.adocs = [ ];
obj.anames = [ ];
obj.apapers = [ ];
obj.counts = [ ];
obj.docnames = [ ];
obj.panum = [ ];
obj.plengths = [ ];
obj.wc = [ ];
obj.wl = [ ];
