function obj = subsasgn(obj,S,B)
% SUBSASGN - Subscripted assignments (mutator for member variables
% of a @nips object).
%
% Examples of subscripted assignment include obj(S) = B, obj{S} =
% B, and obj.S = B. Currently only the third form works.
%
% Arguments:
%
% obj: An instance of a @nips object
% S: Field to mutate.
% B: Value to change the field to.
%
% Return Values:
%
% obj: Mutated version of the input object.

% Author: ajit@cs.cmu.edu (Ajit Singh)

obj = builtin('subsasgn', obj, S, B);
