%CHECK_SCORE_INVARIANT Does a ranking object has a score for each entity?
%   Raises an error if the ranking object does not consist of 
%   (entity,score) pairs. A ranking needs such data so that it can 
%   induce a total ordering on the entities.

function [] = check_score_invariant(obj)

if length(obj.rank) ~= length(obj.score)
    error('@ranking: %d scores, %d entities\n',...
            length(obj.rank), length(obj.score));
end