%EVAL_AVERAGE_RANK Compute the average rank of held out entities.
%   Given a ranking 'obj' and a list of true held out entities
%   'entities' it computes the average score of the held out links
%   in the ranking.

function avgrank = eval_average_rank(obj,entities)

check_score_invariant(obj);
check_uniqueness_invariant(obj);
if length(entities) == 0 
    error('@ranking/score: no entities, cannot compute average rank.');
end

ranks = [];
sobj = sort(obj);
for e = entities
    pos = find(sobj.rank==e);
    ranks = [ranks pos];
end
avgrank = mean(ranks);