function precision = eval_recall(obj,entities,k)

check_score_invariant(obj);
check_uniqueness_invariant(obj);
assert(k > 0 && k == fix(k), 'Expected positive integral k, got %f', k);
if isempty(entities)
  error('@ranking/score: no entities, cannot compute average rank.');
end

sobj = sort(obj);
n = length(sobj.rank);
k = min(n,k);
precision = 1/n * length(intersect(sobj.rank(1:k), entities));
