%SORT_BY Sorts a ranking according to a utility function
%   SORT_BY(obj,data,utility) takes a ranking object, a data set,
%   and a utility function. It sorts the ranking in order of decreasing
%   utility

function obj = sort_by(obj,data,utility)
    u = utility(data,obj.rank);
    [ignore,idx] = sort(u,'descend');
    obj.rank = obj.rank(idx);
    obj.score = obj.score(idx);
    msg = sprintf(' (sorted using %s)',func2str(utility));
    obj.desc = strcat(obj.desc,msg);
                 