function ll = ch_log_likelihood(N,A,model)
    alpha = model.alpha;
    TermFactors = model.TermFactors;
    AuthFactors = model.AuthFactors;
    DocMixing = model.DocMixing;

    if any(sum(TermFactors,2)-1.0 > 10e-10)
        error('Termfactors invalid');
    end
    if any(sum(AuthFactors,2)-1.0 > 10e-10)
        error('Authfactors invalid');
    end
    if any(sum(DocMixing,1)-1.0 > 10e-10)
        error('DocMixing invalid');
    end

    % Sometimes v(i) can be zero because we removed all the
    % counts for tempering. Just don't count those papers in the
    % likelihood
    [Ni,Nj,Nv] = find(N);
        if alpha > 10e-10
        L = TermFactors(:,Ni) .* DocMixing(:,Nj);
        v = sum(L,1);
        idx = find(v);
        if any(isnan(log2(v(idx))))
            warning('v off');
        end
        t1 = dot(Nv(idx), log2(v(idx)));
        if isnan(t1) 
            warning('t1 is NAN');
        end
    end

%     if alpha > 10e-10        
%         t1 = 0.0;
%         for u = 1:length(Ni)
%             update = TermFactors(:,Ni(u))' * DocMixing(:,Nj(u));
%             % Sometimes update can be zero because we removed all the
%             % counts for tempering. Just don't count those papers in the
%             % likelihood
%             if update > 1.0
%                 error('N up %f\n',update);
%             end
% 
%             if update > 0.0            
%                 t1 = t1 + Nv(u) * log2(update);
%             %else
%             %    warning('Word %d had all papers removed',Ni(u));
%             end
%         end
%     end
    
    % Because we randomly hold out author-document links (entries of A)
    % we can get an author factor of all 0's for that paper, just don't
    % count those papers in the log-likelihood. (ie, ignore v(i) = 0)
    [Ai,Aj,Av] = find(A);
        if abs(1-alpha) > 10e-10
        L = AuthFactors(:,Ai) .* DocMixing(:,Aj);
        v = sum(L,1);
        idx = find(v);
        t2 = dot(Av(idx), log2(v(idx)));
        if isnan(t2)
            warning('t2 is NAN');
        end
    end

%     if abs(1-alpha) > 10e-10        
%         t2 = 0.0;
%         for u = 1:length(Ai)
%             % Because we randomly hold out author-document links (entries of A)
%             % we can get an author factor of all 0's for that paper, just don't
%             % count those papers in the log-likelihood.
%             update = AuthFactors(:,Ai(u))' * DocMixing(:,Aj(u));
%             if update > 0.0
%                 t2 = t2 + Av(u) * log2(update);
%             %else
%             %    warning('Author %d had all papers removed',Ai(u));
%             end
%         end    
%     end

    % 0 * Inf in MATLAB is NAN, which is a problem when alpha = 0 or 1
    ll = 0;
    if ( alpha > 10e-10 ) % alpha > 0
        ll = ll + alpha*t1;
    end
    if ( abs(1 - alpha) > 10e-10 ) % alpha < 1
        ll = ll + (1-alpha) * t2;
    end

    if ll > 0.0
        error('Bogus loglikelihood: %f (nnz(N) = %d, nnz(A) = %d)\n',nnz(N),nnz(A));
    end
