function [X_train, xtest, exi, exj] = mk_sparse_splits(X, num_nnz, num_zeros)
% MK_SPARSE_SPLITS - Efficiently hold out the given number of
% nonzero and zero entries of X as test observations.
%
% Arguments
%
% X: Data matrix (m x n)
% num_nnz: Number of nonzero entries to hold out.
% num_zeroes: Number of zero entries to hold out.
%
% Return Values:
%
% See wrapper

[xtest_zeros exi_zeros exj_zeros] = extract_common(X, num_zeros, @(x)(x == 0));
[xtest_nnz exi_nnz exj_nnz] = extract_rare(X, num_nnz, @(x)(x ~= 0));
xtest = [xtest_zeros xtest_nnz];
exi = [exi_zeros exi_nnz];
exj = [exj_zeros exj_nnz];
assert(all(size(exi) == size(exj)));
X_train = X;
% == TODO(ajit): This code is to make sure we do not use the test
% data in the training. Can remove once we show that the weight
% functions work correctly.
% $$$ idx = sub2ind(size(X), exi, exj);
% $$$ X_train(idx) = -100;
% == END
