function obj = mse(x, xhat)
% MSE - Return the mean squared error between estimates xhat, truth x.
%
% Implementation Details:
%
% If you want weighted mse, then select the test observations
% according to the weights desired.
%
% Arguments:
%
% x: Ground truth (1 x n)
% xhat: Estimates (1 x n)
%
% Return Values:
%
% obj: The mean squared error of predicting x by xhat.

check_dims(x, rows(xhat), cols(xhat), 'x');
Res = (x - xhat).^2;
obj = sum(Res(:))/numel(Res);
obj = full(obj);

