% Convert a movie object for use in NIPS code

function obj = movie_to_nips(m,nusers,minratings)

obj = nips;

users = find_users_with_ratings(m,5,Inf);
users = sample(users,nusers);
movies = find(sum(m.ratings(users,:))>minratings);

obj.Na = length(users);
obj.Nw = m.Ng;
obj.Np = length(movies);
obj.adocs = m.ratings(users,movies);
obj.anames = m.netflix_id(users);
apapers = cell(obj.Na,1); % people who rated a movie
% for i = 1:obj.Na
%      customers = find(m.ratings(users(i),:));
%      apapers{i} = customers;
% end
obj.apapers = apapers;
obj.counts = m.genres(:,movies);
obj.docnames = m.movie_names(movies);
obj.panum = full(sum(m.ratings(users,movies),1))';
obj.plengths = full(sum(m.genres(:,movies),1))'; 
obj.wc = full(sum(m.genres(:,movies),2));
obj.wl = m.genre_names;
