function mmmf_v1(base)

% Must be run from RFA/
load('testdata/movies_500.mat');

d = data(sm);
split = d.test_train_splits(0.1, 0.1, 1);
split = split{1};

init_params = glmparams('logistic', 'logistic');
init_params.dims = 20;
init_params.maxiter = 10;
init_params = change_scale(init_params, 'all', 1e-6);
init_params.obj_threshold = 0.05;
init_params = enable_linesearch(init_params, 'mineta', 0.5^5);

model = random_model3f(split.X_train, split.Y_train, init_params);

[model.U model.V obj debug] = mmmf(split.X_train, init_params);

hist_mmmf(model, init_params, split, 3, 2);

% Notes:
%
% If there are too few dimensions (e.g., dims = 10 here) then the behaviour
% will be to prefer epsilon-close to 1.
