function stochastic_v2(base)

load('testdata/israted_10000_2000_sparse.mat');
init_params = glmparams('logistic', 'logistic');
init_params.dims = 30;
init_params = change_scale(init_params, 'all', 1e-6);
init_params.obj_threshold = 0.05;
init_params = enable_linesearch(init_params, 'mineta', 0.5^4);
init_params.min_scaling_factor = 1.0;

init_params.inline_standard_weights = true;
init_params.densify_rows = true;

newton_iters = 10;
stochastic_iters = 30;
batch_sizes = [25, 75, 100];

script_exp_stochastic(base, sm, init_params, batch_sizes, newton_iters, ...
                      stochastic_iters, 5);

% Time per newton iteration (2.16 GHz Core 2 Duo): ~ 180 sec
% Time per stochastic iteration (2.16 GHz Core 2 Duo): ~ < 60 sec for bs = 100
% Estimate total time: 10 hrs.
