function init_alpha_matters4f_israted_500(base)
% INIT_ALPHA_MATTERS4F_ISRATED_750 - Experiment
%
% Arguments:
%
% base: Directory to store results (diary, results, splits) to.

% Author: Ajit Singh (ajit@cs.cmu.edu)

load('testdata/israted_500.mat');
init_params = glmparams('logistic', 'logistic', 'ql', 'logistic');
init_params.dims = 20;
init_params.maxiter = 5;
init_params = change_scale(init_params, 'all', 1e-6); % 1e-6 is decent
init_params.obj_threshold = 0.05;
init_params = enable_linesearch(init_params, 'mineta', 0.5^3);

% $$$ init_params = enable_stochastic(init_params, 100);
% $$$ init_params.min_scaling_factor = 1;
% $$$ init_params = force_iterations(init_params, 10);

init_params.inline_standard_weights = true;
init_params.densify_rows = true;

alpha = [1.00 0.00 0.00;
         0.60 0.40 0.00;    % best results on 3f
         0.25 0.00 0.75;    % next three are various 3f exp using actors.
         0.50 0.00 0.50;
         0.75 0.00 0.25;
         0.90 0.00 0.10];
script_exp_alpha_matters4f(base, sm, init_params, alpha, 5, ...
                           'actor_appearances', 5);


