function init_alpha_matters4f_israted_750(base)
% INIT_ALPHA_MATTERS4F_ISRATED_750 - Experiment
%
% Arguments:
%
% base: Directory to store results (diary, results, splits) to.

% Author: Ajit Singh (ajit@cs.cmu.edu)

load('testdata/israted_750.mat');
init_params = glmparams('logistic', 'logistic', 'ql', 'logistic');
init_params.dims = 20;
init_params.maxiter = 9;
init_params = change_scale(init_params, 'all', 1e-6); % 1e-6 is decent
init_params.obj_threshold = 0.02;
init_params = enable_linesearch(init_params, 'mineta', 0.5^4);

% $$$ init_params = enable_stochastic(init_params, 100);
% $$$ init_params.min_scaling_factor = 1;
% $$$ init_params = force_iterations(init_params, 10);

init_params.inline_standard_weights = true;
init_params.densify_rows = true;

alpha = [1.00 0.00 0.00;
         0.50 0.50 0.00;
         0.50 0.25 0.00;
         0.50 0.00 0.25;
         0.50 0.25 0.25;
         0.50 0.10 0.10;
         0.40 0.30 0.10;
         0.40 0.20 0.20;
         0.40 0.10 0.30;
         0.40 0.10 0.40];
script_exp_alpha_matters4f(base, sm, init_params, alpha, 10, ...
                           'actor_appearances', 5);


