function process = script_init_process(base)
% SCRIPT_INIT_PROCESS - Initialize logs, synchronize process identifiers.
%
% script_init_process( )
% Handles the details of finding a process process-id and creating log files.
% The log file (diary-%d.txt) acts as a crude lock. If multiple calls to this
% function are made quickly enough, it can potentially overwrite the previous
% logs. In practice, this is fairly unlikely unless you call this function
% in a loop.
%
% Arguments:
%
% base: Directory where logs and results will be stored.
%
% Return Values:
%
% process: Process identifier.

% Author: Ajit Singh (ajit@cs.cmu.edu)

assert(isdir(base), '\"%s\" is not a directory', base);

process = 1;
diary_filename = 'diary-%d.txt';
while exist(fullfile(base, sprintf(diary_filename, process)), 'file')
  process = process + 1;
end
fprintf('Creating process %d\n', process);
log_filename = fullfile(base, sprintf(diary_filename, process));
diary(log_filename);
