% $$$ profile off;
% $$$ profile on;
% $$$ tic;
% $$$   x = rand(1,100);
% $$$   %fcn = split.wxf;
% $$$   fcn = @(x,i,j)(1/1.6e+07*(1/0.02*(x|x)+0.1*(~x)));
% $$$   %fcn = @(x,i,j)(fprintf(1,'foo'));
% $$$   for i = 1:100
% $$$     fcn(x, [ ], [ ]);
% $$$   end
% $$$ toc;
% $$$ profview

%%%%%

% $$$ k = 20;
% $$$ tic;
% $$$ for i = 1:8000
% $$$   A = rand(k);
% $$$   B = rand(k);
% $$$   C = B / A;
% $$$ end
% $$$ fprintf('%.3f seconds', toc);

%%%%%%

% $$$ % Fast sampling with replacement.
% $$$ p = rand(1,10000);
% $$$ p = p / sum(p);
% $$$ s = [1 2000];
% $$$ m = length(p);
% $$$ c = cumsum(p);
% $$$ R = rand(s);
% $$$ X = ones(s);
% $$$ tic
% $$$ for i = 1:2000
% $$$   X = X + (R > c(i));
% $$$ end
% $$$ fprintf(1,'weighted sample w/ replacement: %f sec\n', toc);

idx = 1:1000;
p = rand(1,length(idx));
m = 20;
iters = 30;
tic % This is faster
  for i = 1:iters
    weighted_sample(idx, p, m, 'false');
  end
fprintf(1, 'my weighted sample, no replacement: %f sec\n', toc);

% $$$ tic % specialized sampling where the number of unique values is small.
% $$$ a = find(rand(1,10000)<0.5);
% $$$ a = find(rand(1,10000)<0.4);
% $$$ a = find(rand(1,10000)<0.3);
% $$$ a = randperm(10000);
% $$$ a = randperm(10000);
% $$$ a = randperm(10000);
% $$$ a = a(1:2000);
% $$$ fprintf(1, 'specialized: %f sec\n', toc);

% $$$ p = rand(1,10000);
% $$$ m = 200;
tic
  for i = 1:iters
    wieght_sample(idx, p, m);
  end
fprintf(1, 'wieght sample (mex): %f sec\n', toc);

%%%%

% $$$ V = rand(10000,20);
% $$$ iters = 100;
% $$$ tic;
% $$$ for i = 1:iters
% $$$   a = sum(sum(V.^2))/numel(V);
% $$$ end
% $$$ fprintf(1, '%f sec\n', toc);
% $$$ 
% $$$ tic;
% $$$ for i = 1:iters
% $$$   a = V(:).^2/numel(V);
% $$$ end
% $$$ fprintf(1, '%f sec\n', toc);

