function [avg stddev] = average_columns(cellmatrix)
% AVERAGE_COLUMNS - Given an s x p cell matrix, each column of which contains
%                   vectors of the same length, compute the mean and stddev
%                   of each column
%
% Arguments:
%
% cellmatrix: s x p cellmatrix
%
% Return Values:
%
% avg: 1 x p cell array containing a vector of length length(cellmatrix{*,i})
% std: 1 x p cell array containing a vector of length length(cellmatrix{*,i})

avg = cell(1, cols(cellmatrix));
stddev = cell(1, cols(cellmatrix));
for j = 1:cols(cellmatrix)
  vec = zeros(rows(cellmatrix), length(cellmatrix{1,j}));
  for i = 1:rows(cellmatrix)
    vec(i,:) = cellmatrix{i,j};
  end
  avg{j} = mean(vec, 1);
  stddev{j} = std(vec, [ ], 1);
end
