function models = cast_to_models3f(models, params)
% CAST_TO_MODELS - Fixes the following warning
%
% Warning: Element(s) of array 'models' do not match the current constructor
%         definition for class 'model3f'.  The element(s) have been converted
%         to structures.
%
% by recreating the model object.


for s = 1:rows(models)
  for p = 1:cols(models)
    mods = models{s, p};
    for k = 1:length(mods)
      m = mods(k);
      mods(k) = model3f(m.U, m.V, m.Z, params{p});
    end
    models{s, p} = mods;
  end
end
