function splits = remove_training_data_from_split(splits)
% REMOVE_TRAINING_DATA_FROM_SPLIT - ...
%
% split = remove_training_data_from_split(split)
% Useful when saving splits to disk. We do not need the original training
% data when plotting results, so when running scripts it's ususally OK to
% remove the training data and save a *ton* of space/memory.

if iscell(splits)
  for i = 1:length(splits)
    splits{i} = impl(splits{i});
  end
else
  splits = impl(splits);
end

function split = impl(split)

split.X_train = [ ];
split.Y_train = [ ];
if isfield(split, 'Q_train')
  split.Q_train = [ ];
end
